import request from '@/utils/request'
	
/**
 * @Descripttion: 店铺商品类目Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-15)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-15)
*/

/**
* 店铺商品类目树形查询列表
* @param {查询条件} data
*/
export function shopGoodsCategoryTreeList(query) {
  return request({
    url: '/business/ShopGoodsCategory/getShopGoodsCategoryTreeList',
    method: 'get',
    params: query
  })
}

// 店铺商品类目新增或修改
export function addOrUpdateShopGoodsCategory(data) {
  return request({
    url: '/business/ShopGoodsCategory/addOrUpdateShopGoodsCategory',
    method: 'post',
    data: data,
  })
}

// 店铺商品类目删除
export function delShopGoodsCategory(ids) {
  return request({
    url: '/business/ShopGoodsCategory/'+ ids,
    method: 'delete'
  })
}

// 店铺商品类目导出
export function exportShopGoodsCategory(query) {
  return request({
    url: 'business/ShopGoodsCategory/exportShopGoodsCategory',
    method: 'get',
    params: query
  })
}

